﻿using System;
using System.Collections;

namespace ConsoleGLCD {
    class Program {
        static void Main(string[] args) {

            byte[] b0 = {
                0x00, 0xfc, 0xfa, 0xf6, 0x0e, 0x0e, 0x0e, 0x0e, 0x0e, 0x0e, 0xf6, 0xfa, 0xfc,
                0x00, 0xef, 0xc7, 0x83, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x83, 0xc7, 0xef,
                0x00, 0x7f, 0xbf, 0xdf, 0xe0, 0xe0, 0xe0, 0xe0, 0xe0, 0xe0, 0xdf, 0xbf, 0x7f
            };

            byte[] b1 = {
                0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xf0, 0xf8, 0xfc,
                0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x83, 0xc7, 0xef,
                0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1f, 0x3f, 0x7f
            };

            byte[] b2 = {
                0x00, 0x00, 0x02, 0x06, 0x0e, 0x0e, 0x0e, 0x0e, 0x0e, 0x0e, 0xf6, 0xfa, 0xfc,
                0x00, 0xe0, 0xd0, 0xb8, 0x38, 0x38, 0x38, 0x38, 0x38, 0x38, 0x3b, 0x17, 0x0f,
                0x00, 0x7f, 0xbf, 0xdf, 0xe0, 0xe0, 0xe0, 0xe0, 0xe0, 0xe0, 0xc0, 0x80, 0x00
            };

            byte[] b3 = {
                0x00, 0x00, 0x02, 0x06, 0x0e, 0x0e, 0x0e, 0x0e, 0x0e, 0x0e, 0xf6, 0xfa, 0xfc,
                0x00, 0x00, 0x10, 0x38, 0x38, 0x38, 0x38, 0x38, 0x38, 0x38, 0xbb, 0xd7, 0xef,
                0x00, 0x00, 0x80, 0xc0, 0xe0, 0xe0, 0xe0, 0xe0, 0xe0, 0xe0, 0xdf, 0xbf, 0x7f
            };

            PrintValues(b0, 13, 0);
            PrintValues(b1, 13, 15);
            PrintValues(b2, 13, 30);
            PrintValues(b3, 13, 45);
            Console.ReadKey();
        }

        private static void PrintValues(byte[] fontChars, int fontWidth, int col) {
            int row = 0;
            int loops = fontChars.Length / fontWidth;

            for (int h = 0; h < loops; h++) {
                for (int x = 0; x < fontWidth; x++) {
                    BitArray bits = new BitArray(new byte[] { fontChars[fontWidth * h + x] });
                    for (int y = 0; y < 8; y++) {
                        Console.SetCursorPosition(col + x, row + y);
                        Console.Write("{0}", bits[y] ? "█" : "·");
                    }
                }

                row += 8;
            }
        }
    }
}